<template>
	<t-index-address @select="select"></t-index-address>
</template>

<script>
	export default {
		data() {
			return {
				type: ''
			}
		},
		onLoad(options) {
			this.type = options.type
		},
		methods: {
			// 选中事件
			select(data) {
				if (this.type == 'indent') {
                    uni.setStorageSync('jsCity', data.name);
				} else {
                    uni.setStorageSync('selectCity', data.name);
				}
				uni.navigateBack();
			}
		}
	}
</script>

<style lang="scss" scoped>
	
</style>